# Gimp.Vector3.rotate_val

    @accepts(Gimp.Vector3, float, float, float)
    @returns(Gimp.Vector3)
    def rotate_val(self, alpha, beta, gamma):
        # Python wrapper for gimp_vector3_rotate_val()

Identical to [method@Vector3.rotate], but the vectors are passed by value rather than by reference.

self

  a Gimp.Vector3.

alpha

  the angle (in radian) of rotation around the Z axis.

beta

  the angle (in radian) of rotation around the Y axis.

gamma

  the angle (in radian) of rotation around the X axis.

Returns